Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VRuler Class Reference

A GtkVRuler C++ wrapper class. More...

`#include <inti/gtk/ruler.h>`

Inheritance diagram for Inti::Gtk::VRuler:

List of all members.

## Public Member Functions

Constructors

- VRuler ()
    Construct a new vertical ruler.
- virtual ~VRuler ()
    Destructor.

Accessors

- GtkVRuler * gtk_vruler () const
    Get a pointer to the GtkVRuler structure.
- GtkVRulerClass * gtk_vruler_class () const
    Get a pointer to the GtkVRulerClass structure.
- operator GtkVRuler * () const
    Conversion operator; safely converts a VRuler to a GtkVRuler pointer.

## Protected Member Functions

Constructors

- VRuler (GtkVRuler *vruler, bool reference=false)
    Construct a new VRuler from an existing GtkVRuler.

## Detailed Description

A GtkVRuler C++ wrapper class.

## Constructor & Destructor Documentation

Inti::Gtk::VRuler::VRuler | ( | GtkVRuler * | vruler,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VRuler from an existing GtkVRuler. Parameters:
  vruler | A pointer to a GtkVRuler.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vruler can be a newly created GtkVRuler or an existing GtkVRuler (see G::Object::Object).

The documentation for this class was generated from the following file:

- ruler.h

Main Page - Footer